Skip to content
The Things Stack documentation home
Getting Started Concepts Cloud Enterprise Integrations API Hardware
Getting Started Concepts
Cloud Enterprise
Integrations API Hardware
Get The Things Stack

    Recent searches

      Popular pages

      • Getting Started
      • Adding Gateways
      • Adding Devices
      • Payload Formatters
      • Webhooks
      • Authentication

      No results for “”.

      • Check the spelling, or try fewer or more general words.
      • Ask the community on The Things Network Forum
      • Contact support
      ↑↓ to navigate ↵ to open Esc to close

      API

      • Overview
      • Concepts
      • Reference
        • HTTP(REST)
        • gRPC
          • Application APIs
          • Application Package APIs
          • Application Pub/Sub APIs
          • Application Server APIs
          • Application Webhook APIs
          • Client APIs
          • Crypto Operations APIs
          • End Device APIs
          • Events API
          • Gateway APIs
          • Gateway Server APIs
          • Identity Server APIs
          • Join Server APIs
          • Network Operations Center APIs
          • Network Server APIs
          • Organization APIs
          • Packet Broker APIs
          • Storage Integration API
          • Tenant APIs
          • User APIs

      Join Server APIs

      Updated 4 March 2024 Edit on GitHub
      Copy page
      • View as MarkdownThis page as plain text
      • Open in ChatGPTAsk questions about this page
      • Open in ClaudeAsk questions about this page

      List of Join Server APIs.

      The Js service

      Method Js.GetJoinEUIPrefixes
      Description Request the JoinEUI prefixes that are configured for this Join Server.
      Request type google.protobuf.Empty
      Response type JoinEUIPrefixes
      HTTP bindings

      GET /api/v3/js/join_eui_prefixes

      Method Js.GetDefaultJoinEUI
      Description Request the default JoinEUI that is configured for this Join Server.
      Request type google.protobuf.Empty
      Response type GetDefaultJoinEUIResponse
      HTTP bindings

      GET /api/v3/js/default_join_eui

      Messages

      Message JoinEUIPrefix

      Show object example
      {
        "join_eui": "",
        "length": 0,
      }

      Fields:

      Field join_eui
      Type bytes
      Description

      ignore_empty

      len: 8

      Field length
      Type uint32

      Message JoinEUIPrefixes

      Show object example
      {
        "prefixes": [],
      }

      Fields:

      Field prefixes
      Type repeated JoinEUIPrefix
      Description

      Message GetDefaultJoinEUIResponse

      Show object example
      {
        "join_eui": "",
      }

      Fields:

      Field join_eui
      Type bytes
      Description

      ignore_empty

      len: 8

      Enums

      ← Identity Server APIs Network Operations Center APIs →

      On this page

      • The Js service
      • Messages
      • Enums

      Sections

      Getting Started

      Concepts

      Cloud

      Enterprise

      Integrations

      API

      Hardware

      Sitemap

      View our Sitemap

      Contributing

      GitHub

      About Us

      The Things Industries

      Privacy Policy

      Cookie settings

      Cookie Settings

      We use cookies to enhance your experience, analyze site traffic and deliver personalized content. Read our Privacy Policy.

      Cookie categories